Subject: bug#31094: 25.2: Feature Reuqest: apropos-value: limit scope [CODE INCLUDED]

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 23 Jan 2022 15:45:06 +0100

Boruch Baum <[email-masked]> writes:

> A better solution would be an option to initially print only the names
> of symbol that contain a match. The user can then easily view any value
> of interest, because the output buffer already includes a feature that
> pressing return on any symbol in the output list will display the
> documentation for the symbol, which will include the variable's value.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Instead of adding a special user option for this, I think it makes sense
to allow using outline-minor-mode in *Apropos* buffers.  So I've now
added support for that in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no